Skip to main content
GET
/
v1
/
projects
List Projects
curl --request GET \
  --url https://api.oviond.com/v1/projects \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "proj123",
      "name": "Q1 Report",
      "account_id": "ov:26AbCdEfGhIjKlMnOp",
      "client_id": "<string>",
      "type": "REPORT",
      "status": "<string>",
      "nano_id": "<string>",
      "created_at": null,
      "is_deleted": true,
      "deleted_at": "<string>"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

client_id
string
Example:

"cliAbc123"

template
string
Example:

"AGENCY"

Example:

"Q4 report"

sort_by
enum<string>
default:created_at
Available options:
name,
created_at,
last_modified,
type
Example:

"created_at"

order
enum<string>
default:desc
Available options:
asc,
desc
Example:

"desc"

type
enum<string>
Available options:
REPORT,
DASHBOARD
Example:

"REPORT"

page
integer | null
default:0
Required range: x >= 0
Example:

0

limit
integer
default:50
Required range: 1 <= x <= 200
Example:

50

Response

200 - application/json

Paginated project list

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object
required